<ion-header>
    <div class="title">
        Result
    </div>
    <div class="icon">
        <div id="icon">
            <ion-icon name="checkmark"></ion-icon>
        </div>
        <div id="hline"></div>
    </div>
    <div class="title">
        File signed successfully
    </div>
</ion-header>


<ion-content>
    <ion-list lines="inset">
        <ion-label class="listHeader"><b>File Infomation</b></ion-label>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">File name:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{file.name}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">File hash:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{file.fileHash}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Owner:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{file.owner}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>
    </ion-list>

    <ion-list lines="inset">
        <ion-label class="listHeader"><b>Sign Infomation</b></ion-label>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Status:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{file.status}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Transaction hash:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{file.transactionHash}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>
    </ion-list>
    <div id="btnFinish">
        <ion-button (click)="goHome()">Finish</ion-button>
    </div>
</ion-content>